Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

Get CRM objects (/v2/crm/entities)

Prev Next
Get
/v2/crm/entities

This API is for use in the development phase only, to manually verify that objects are uploaded and processed correctly in Gong.

Returns a JSON object where each key is the object’s crm id and the corresponding value is a nested JSON object representing the CRM object fields. Each key in the nested JSON is the field name and the corresponding value is the field value.

The objects are fetched from the Gong main DB. If the object is not found, the JSON’s value is null.

The request body contains an array of objects ids.

The request is limited to 100 objects. If more than 100 objects are requested only the first 100 are returned.

When accessed using a bearer token, this endpoint requires the 'api:crm:get-objects' scope.

Example

Request

GET https://api.gong.io/v2/crm/entities?integrationId=6286478263646&objectType=DEAL

["1234","8765"] //request body
Query parameters
integrationId
integer (int64) Required

Integration ID generated when creating the integration

objectType
stringRequired

Requested objects type

Valid values[ "ACCOUNT", "CONTACT", "DEAL", "LEAD" ]
objectsCrmIds
array of stringRequired

Request Body: The requested objects crm ids (should be sent in the request body)

Responses
200

Successfully retrieved requested objects data

Expand All
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
crmObjectsMap
object

crmObjects

property*
object additionalProperties

crmObjects

property*
object additionalProperties

crmObjects

400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Access denied

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
429

API request limit exceeded

Headers
Retry-After
integer
Number of seconds to wait before making a new request.
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string